using CsvHelper.Configuration.Attributes;

namespace OD.WebApplication.Models
{
    public class OriginDataModel
    {
        [Name("ID")]
        public string Id { get; set; }

        [Name("Categorías")]
        public string Categories { get; set; }
        
        [Name("Fabricante")]
        public string Manufacturer { get; set; }
        
        [Name("Precio tiendas sin IVA")]
        public decimal PriceListingWithoutVAT { get; set; }
        
        [Name("PVP sin IVA")]
        public decimal PricePublicWithoutVAT { get; set; }
        
        [Name("PVR sin IVA")]
        public decimal PriceRecommendedWithoutVAT { get; set; }
        
        [Name("Stock")]
        public decimal Stock { get; set; }
        
        [Name("Volumen")]
        public float Volume { get; set; }
        
        [Name("Nombre")]
        public string Name { get; set; }
        
        [Name("Descripción larga")]
        public string LongDesc { get; set; }
        
        [Name("Descripción breve")]
        public string ShortDesc { get; set; }
        
        [Name("Imagen")]
        public string ImageUrls { get; set; }
        
        [Name("EAN13")]
        public string Ean13 { get; set; }
        
        [Name("SDA")]
        public string Sda { get; set; }
    }
}